const Parser = require('./lib/parser');
const toCss = require('./lib/to-css');

const parse = query => new Parser(query).parse()

module.exports = {
	parse: parse,
	xpath2css: query => toCss(parse(query)),
	isXPath: query => {
		try {
			parse(query);

			return true;
		} catch(e) {
			return false;
		}
	}
};
