/**
 * @param {number} code
 */
exports.isIdentifierStart = function (code) {
	if (code < 65) return code === 36; // $
	if (code < 91) return true; // A-Z
	if (code < 97) return code === 95; // _
	return code < 123; // `a-z`
};
/**
 * @param {number} code
 */
exports.isIdentifierChar = function (code) {
	if (code < 48) return code === 36; // $
	if (code < 58) return true; // 0-9
	if (code < 65) return false;
	if (code < 91) return true; // A-Z
	if (code < 97) return code === 95; // _
	return code < 123; // `a-z`
};
